4

I bought a new computer, Skylake's I5 6600k CPU and an intergrated INtel HD 530 GPU.
I tried running Ubuntu 14.04 and/or Ubuntu 15.04, but I am having too many graphic issues:
Mouse cursor will randomly go invisible, it still works yet it's invisible.
I am using 2 monitors, when moving the cursor between them sometimes the screen randomly flashes and/or displaying a blank page for a few seconds.
Sometimes when watching a youtube video or a stream, or even better trying to run a medicore game on steam, the whole computer will just freeze and the only way to bypass this is by hard-shutdown...
This is super annoying and I am starting to lose hope, spend literally days trying different solutions posted on google and so on but so far nothing has really helped.
Same issue happens on both 14.04 LTS and 15.04.
Few things I tried that come up to mind (Other than full re-installation which I've done several times, also going back and forth from 14.04 to 15.04).
Tried to take off splash screen from the grub kernel menu.
Tried to add the following command at the grub kernel; i915.preliminary _hw_support=1.
I noticed that restarting lightdm service does fix the cursor issue so I tried to completely purge and reinstall lightdm but no avail.
I am pretty much hopeless at this point and will appreciate any help you guys can give as I really wanna stick to Linux even with this new hardware pieces.
Thank you

Edit:

Output of: sudo lspci -k | grep -EA2 'VGA|3D':

00:02.0 VGA compatible controller: Intel Corporation Sky Lake Integrated Graphics (rev 06)  
  Subsystem: ASUSTeK Computer Inc. Device 8694  
  Kernel driver in use: i915_bpo  
  • Please edit your question and add output of lspci -k | grep -EA2 'VGA|3D' terminal command. – Pilot6 Sep 7 '15 at 14:33
  • Edited original post with the information. – Shay Elmualem Sep 7 '15 at 16:36
  • I am randomly getting "plymouth stopped working" error reports as well if it's of any use. – Shay Elmualem Sep 8 '15 at 12:53
  • 5
    askubuntu.com/questions/691216/… – user466142 Oct 28 '15 at 21:38
0

You can try to upgrade Ubuntu's kernel to the latest kernel 4.2. Here's the link how to upgrade. Skylake is fully supported in kernel 4.3 as phoronix told so far.

|improve this answer|||||
  • This link seem to be down, getting an "Error establishing a database connection". Also according to phoronix they tested the default kernel of 15.04 and had no issues. – Shay Elmualem Sep 8 '15 at 12:52

Not the answer you're looking for? Browse other questions tagged or ask your own question.